2 Replies Latest reply: May 3, 2012 3:31 PM by spollock
spollock Level 1 Level 1 (0 points)

On Lion, recently moved to the MAC with Eclipse IDE.   Was running activestate and ppm was very easy to install a package and required dependencies when the need arised.  I have had a lot of trouble installing packages on the MAC, very frustrated trying to get WWW::Mechanize to install on here with cpan. 

 

mac is osx 10.7.3

 

perl -v

This is perl 5, version 12, subversion 3 (v5.12.3) built for darwin-thread-multi-2level

(with 2 registered patches, see perl -V for more detail)

 

Xcode 4.3.2

 

 

Sorry about the long error message below, included for completeness.  I don't really think I should be having to deal with dependencies manually, perhaps there is a better way to do this on the mac?

 

$sudo perl -MCPAN -e 'install WWW::Mechanize'

Password:

Going to read '/Users/spollock/.cpan/Metadata'

  Database was generated on Wed, 02 May 2012 23:07:03 GMT

Running install for module 'WWW::Mechanize'

Running make for J/JE/JESSE/WWW-Mechanize-1.72.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/J/JE/JESSE/WWW-Mechanize-1.72.tar.gz ok

 

 

  CPAN.pm: Going to build J/JE/JESSE/WWW-Mechanize-1.72.tar.gz

 

 

 

 

WWW::Mechanize likes to have a lot of test modules for some of its tests.

The following are modules that would be nice to have, but not required.

 

 

          Test::Memory::Cycle

           Test::Warn

           Test::Taint

 

 

 

 

Checking if your kit is complete...

Looks good

Warning: prerequisite HTML::Form 6 not found. We have 5.829.

Warning: prerequisite HTTP::Server::Simple 0.35 not found.

Warning: prerequisite HTTP::Server::Simple::CGI 0 not found.

Warning: prerequisite Test::Warn 0.11 not found.

Writing Makefile for WWW::Mechanize

---- Unsatisfied dependencies detected during ----

----      JESSE/WWW-Mechanize-1.72.tar.gz     ----

    HTTP::Server::Simple [requires]

    HTTP::Server::Simple::CGI [requires]

    HTML::Form [requires]

    Test::Warn [requires]

Running make test

  Delayed until after prerequisites

Running make install

  Delayed until after prerequisites

Running install for module 'HTTP::Server::Simple'

Running make for J/JE/JESSE/HTTP-Server-Simple-0.44.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/J/JE/JESSE/HTTP-Server-Simple-0.44.tar .gz ok

 

 

  CPAN.pm: Going to build J/JE/JESSE/HTTP-Server-Simple-0.44.tar.gz

 

 

Checking if your kit is complete...

Looks good

Writing Makefile for HTTP::Server::Simple

  JESSE/HTTP-Server-Simple-0.44.tar.gz

  make -- NOT OK

'YAML' not installed, will not store persistent state

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running install for module 'HTTP::Server::Simple::CGI'

Running make for J/JE/JESSE/HTTP-Server-Simple-0.44.tar.gz

  Has already been unwrapped into directory /Users/spollock/.cpan/build/HTTP-Server-Simple-0.44-jnqEUQ

Could not make: Unknown error

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running install for module 'HTML::Form'

Running make for G/GA/GAAS/HTML-Form-6.03.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/G/GA/GAAS/HTML-Form-6.03.tar.gz ok

 

 

  CPAN.pm: Going to build G/GA/GAAS/HTML-Form-6.03.tar.gz

 

 

Checking if your kit is complete...

Looks good

Warning: prerequisite HTTP::Request 6 not found. We have 5.827.

Warning: prerequisite HTTP::Request::Common 6.03 not found. We have 5.824.

Writing Makefile for HTML::Form

---- Unsatisfied dependencies detected during ----

----        GAAS/HTML-Form-6.03.tar.gz        ----

    HTTP::Request::Common [requires]

    HTTP::Request [requires]

Running make test

  Delayed until after prerequisites

Running make install

  Delayed until after prerequisites

Running install for module 'HTTP::Request::Common'

Running make for G/GA/GAAS/HTTP-Message-6.03.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/G/GA/GAAS/HTTP-Message-6.03.tar.gz ok

 

 

  CPAN.pm: Going to build G/GA/GAAS/HTTP-Message-6.03.tar.gz

 

 

Checking if your kit is complete...

Looks good

Warning: prerequisite Encode::Locale 1 not found.

Warning: prerequisite HTTP::Date 6 not found. We have 5.831.

Warning: prerequisite LWP::MediaTypes 6 not found. We have 5.835.

Writing Makefile for HTTP::Message

---- Unsatisfied dependencies detected during ----

----       GAAS/HTTP-Message-6.03.tar.gz      ----

    LWP::MediaTypes [requires]

    Encode::Locale [requires]

    HTTP::Date [requires]

Running make test

  Delayed until after prerequisites

Running make install

  Delayed until after prerequisites

Running install for module 'LWP::MediaTypes'

Running make for G/GA/GAAS/LWP-MediaTypes-6.02.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/G/GA/GAAS/LWP-MediaTypes-6.02.tar.gz ok

 

 

  CPAN.pm: Going to build G/GA/GAAS/LWP-MediaTypes-6.02.tar.gz

 

 

Checking if your kit is complete...

Looks good

Writing Makefile for LWP::MediaTypes

  GAAS/LWP-MediaTypes-6.02.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running install for module 'Encode::Locale'

Running make for G/GA/GAAS/Encode-Locale-1.03.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/G/GA/GAAS/Encode-Locale-1.03.tar.gz ok

 

 

  CPAN.pm: Going to build G/GA/GAAS/Encode-Locale-1.03.tar.gz

 

 

Checking if your kit is complete...

Looks good

Writing Makefile for Encode::Locale

  GAAS/Encode-Locale-1.03.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running install for module 'HTTP::Date'

Running make for G/GA/GAAS/HTTP-Date-6.02.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/G/GA/GAAS/HTTP-Date-6.02.tar.gz ok

 

 

  CPAN.pm: Going to build G/GA/GAAS/HTTP-Date-6.02.tar.gz

 

 

Checking if your kit is complete...

Looks good

Writing Makefile for HTTP::Date

  GAAS/HTTP-Date-6.02.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running make for G/GA/GAAS/HTTP-Message-6.03.tar.gz

  Has already been unwrapped into directory /Users/spollock/.cpan/build/HTTP-Message-6.03-d9Tb6t

 

 

  CPAN.pm: Going to build G/GA/GAAS/HTTP-Message-6.03.tar.gz

 

 

Warning: Prerequisite 'LWP::MediaTypes => 6' for 'GAAS/HTTP-Message-6.03.tar.gz' failed when processing 'GAAS/LWP-MediaTypes-6.02.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

Warning: Prerequisite 'Encode::Locale => 1' for 'GAAS/HTTP-Message-6.03.tar.gz' failed when processing 'GAAS/Encode-Locale-1.03.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

Warning: Prerequisite 'HTTP::Date => 6' for 'GAAS/HTTP-Message-6.03.tar.gz' failed when processing 'GAAS/HTTP-Date-6.02.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

  GAAS/HTTP-Message-6.03.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running install for module 'HTTP::Request'

Running make for G/GA/GAAS/HTTP-Message-6.03.tar.gz

  Has already been unwrapped into directory /Users/spollock/.cpan/build/HTTP-Message-6.03-d9Tb6t

Could not make: Unknown error

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running make for G/GA/GAAS/HTML-Form-6.03.tar.gz

  Has already been unwrapped into directory /Users/spollock/.cpan/build/HTML-Form-6.03-OGUKML

 

 

  CPAN.pm: Going to build G/GA/GAAS/HTML-Form-6.03.tar.gz

 

 

Warning: Prerequisite 'HTTP::Request::Common => 6.03' for 'GAAS/HTML-Form-6.03.tar.gz' failed when processing 'GAAS/HTTP-Message-6.03.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

Warning: Prerequisite 'HTTP::Request => 6' for 'GAAS/HTML-Form-6.03.tar.gz' failed when processing 'GAAS/HTTP-Message-6.03.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

  GAAS/HTML-Form-6.03.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running install for module 'Test::Warn'

Running make for C/CH/CHORNY/Test-Warn-0.24.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/C/CH/CHORNY/Test-Warn-0.24.tar.gz ok

 

 

  CPAN.pm: Going to build C/CH/CHORNY/Test-Warn-0.24.tar.gz

 

 

Checking if your kit is complete...

Looks good

Warning: prerequisite Carp 1.22 not found. We have 1.17.

Warning: prerequisite Tree::DAG_Node 1.02 not found.

Writing Makefile for Test::Warn

---- Unsatisfied dependencies detected during ----

----       CHORNY/Test-Warn-0.24.tar.gz       ----

    Carp [requires]

    Tree::DAG_Node [requires]

Running make test

  Delayed until after prerequisites

Running make install

  Delayed until after prerequisites

Running install for module 'Carp'

Running make for Z/ZE/ZEFRAM/Carp-1.25.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/Z/ZE/ZEFRAM/Carp-1.25.tar.gz ok

 

 

  CPAN.pm: Going to build Z/ZE/ZEFRAM/Carp-1.25.tar.gz

 

 

Checking if your kit is complete...

Looks good

Writing Makefile for Carp

  ZEFRAM/Carp-1.25.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running install for module 'Tree::DAG_Node'

Running make for C/CO/COGENT/Tree-DAG_Node-1.06.tar.gz

Checksum for /Users/spollock/.cpan/sources/authors/id/C/CO/COGENT/Tree-DAG_Node-1.06.tar.gz ok

 

 

  CPAN.pm: Going to build C/CO/COGENT/Tree-DAG_Node-1.06.tar.gz

 

 

Checking if your kit is complete...

Looks good

Writing Makefile for Tree::DAG_Node

  COGENT/Tree-DAG_Node-1.06.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running make for C/CH/CHORNY/Test-Warn-0.24.tar.gz

  Has already been unwrapped into directory /Users/spollock/.cpan/build/Test-Warn-0.24-WlFzOv

 

 

  CPAN.pm: Going to build C/CH/CHORNY/Test-Warn-0.24.tar.gz

 

 

Warning: Prerequisite 'Carp => 1.22' for 'CHORNY/Test-Warn-0.24.tar.gz' failed when processing 'ZEFRAM/Carp-1.25.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

Warning: Prerequisite 'Tree::DAG_Node => 1.02' for 'CHORNY/Test-Warn-0.24.tar.gz' failed when processing 'COGENT/Tree-DAG_Node-1.06.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

  CHORNY/Test-Warn-0.24.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Running make for J/JE/JESSE/WWW-Mechanize-1.72.tar.gz

  Has already been unwrapped into directory /Users/spollock/.cpan/build/WWW-Mechanize-1.72-7mkMRG

 

 

  CPAN.pm: Going to build J/JE/JESSE/WWW-Mechanize-1.72.tar.gz

 

 

Warning: Prerequisite 'HTTP::Server::Simple => 0.35' for 'JESSE/WWW-Mechanize-1.72.tar.gz' failed when processing 'JESSE/HTTP-Server-Simple-0.44.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

Warning: Prerequisite 'HTTP::Server::Simple::CGI => 0' for 'J/JE/JESSE/WWW-Mechanize-1.72.tar.gz' seems not available according to the indices

Warning: Prerequisite 'HTML::Form => 6' for 'JESSE/WWW-Mechanize-1.72.tar.gz' failed when processing 'GAAS/HTML-Form-6.03.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

Warning: Prerequisite 'Test::Warn => 0.11' for 'JESSE/WWW-Mechanize-1.72.tar.gz' failed when processing 'CHORNY/Test-Warn-0.24.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.

  JESSE/WWW-Mechanize-1.72.tar.gz

  make -- NOT OK

Running make test

  Can't test without successful make

Running make install

  Make had returned bad status, install seems impossible

Steves-MacBook-Pro:tp spollock$


MacBook Pro, Mac OS X (10.7.3)